<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-40" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-md py-10 pb-20 px-3 md:px-0 mt-10" style="min-height: 550px;">
            <div class="">
                <!-- <div class="col-span-4 slogan-login self-center hidden lg:block uppercase">
                    <div>
                        Đăng nhập 
                    </div>
                    <div class="border-bottom-slogan"></div>
                </div>
                <div class="col-span-4 slogan-login-md self-center hidden md:block lg:hidden uppercase">
                    <div  style="padding-right: 20px;">
                        Đăng nhập 
                    </div>
                    <div class="border-bottom-slogan"></div>
                </div>
                <div class="col-span-12 slogan-login-sm block md:hidden pb-3 uppercase">
                    <div class="row justify-content-center">
                        Đăng nhập 
                    </div>
                    <div class="line flex justify-center">
                        <div class="spec"></div>
                    </div>
                </div> -->
                <div class="md:col-span-8 col-span-12">
                    <div class="grid grid-cols-12 row-verify-code">
                        <div class="col-span-12 verify-code">
                            <div class="text-danger ml-3 mb-1" style="font-size: 16px;" *ngIf="err">
                                *Code không hợp lệ hoặc hết hạn
                            </div>
                            <div class="pb-3 text-verify-code font-medium">
                                Mã xác nhận được gửi qua email của bạn
                            </div>
                            <div class="flex justify-center text-center md:px-3">
                                <form class="form-inline p-0">
                                    <ng-otp-input [config]="{allowNumbersOnly: true,length:6,inputStyles: { width: '2.3rem', height: '2.3rem' }}" (onInputChange)="onOtpChange($event)">
                                    </ng-otp-input>
                                </form>
                            </div>
                            <div class="mb-5 md:mb-0" *ngIf="title == 'register'">
                                <div class="grid grid-cols-12 justify-center mt-5">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-2 col-end-12 col-btn-fp px-2">
                                        <button class="w-full bg-custom" type="submit" [disabled]="isLoading"
                                            mat-raised-button (click)="getCode()">
                                            Xác nhận
                                        </button>
                                    </div>
                                    <div
                                        class="col-span-12 md:col-span-2 send-code-again self-center text-center md:text-left mt-2 md:mt-0">
                                        <a class="underline text-black" routerLink="#" (click)="sendVerifyCode()">Gửi lại mã</a>
                                    </div>
                                </div>
                                <div class="grid grid-cols-12 justify-center ">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-4 col-end-10 col-btn-fp md:px-2 px-0">
                                        <div class="back-register mt-1 justify-center text-center md:text-center">
                                            <mat-icon class="mat-icon-size">keyboard_backspace</mat-icon>
                                            <a routerLink="/auth/register" class="margin-left-20px text-black">Trở lại trang trước</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class=" mb-5 md:mb-0" *ngIf="title == 'forgotpassword'">
                                <div class="grid grid-cols-12 justify-center mt-5">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-2 col-end-12 col-btn-fp px-2">
                                        <button class="w-full bg-custom" type="submit" [disabled]="isLoading" mat-raised-button
                                            (click)="getCodeForForgetPassword()">
                                            Tiếp tục
                                            <mat-icon style="
                                                                float: right;
                                                                padding-top: 7px;
                                                            ">arrow_right_alt</mat-icon>
                                        </button>
                                    </div>
                                    <div
                                        class="col-span-12 md:col-span-2 send-code-again self-center text-center md:text-left mt-2 md:mt-0">
                                        <a class="underline text-black" routerLink="#"
                                            (click)="sendVerifyCodeForgot()">Gửi lại mã</a>
                                    </div>
                                </div>

                                <div class="grid grid-cols-12 justify-center">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-4 col-end-10 col-btn-fp md:px-2 px-0">
                                        <div class="back-register mt-1 justify-center text-center md:text-center">
                                            <mat-icon class="mat-icon-size">keyboard_backspace</mat-icon>
                                            <a routerLink="/auth/forgot-password" class="margin-left-20px text-black">Trở lại trang trước</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>